Subject: Carnivorous plants

From: [email-masked] (Mark Blythe)
Date: 17 May 1995 05:09:24 GMT

If you're interested in carnivorous plants, check out the Peter Pauls
Nursuries online catalog.  It also has links to many sites containing
information on carnivorous plants.  The URL is:

http://cvp.onramp.net/feedme

*=========================================================================*
 "When we try to pick out anything by itself, | Mark Blythe
  we find it hitched to everything else in    | http://www.dfw.net/~blythe 
  the universe." - John Muir                  | [email-masked]
*=========================================================================*